# Uses of Interface
org.eclipse.help.search.IHelpSearchIndex

Packages that use IHelpSearchIndex
Package
Description
org.eclipse.help.search
Provides the ability to add participants to help search and is responsible for creating search indices.

## Uses of IHelpSearchIndex in org.eclipse.help.search

Methods in org.eclipse.help.search with parameters of type IHelpSearchIndex
Modifier and Type
Method
Description
`abstract IStatus`
SearchParticipant.`addDocument(IHelpSearchIndex index, String pluginId, String name, URL url, String id, ISearchDocument doc)`
Adds the document to the search index.
`IStatus`
SearchParticipantXML.`addDocument(IHelpSearchIndex index, String pluginId, String name, URL url, String id, ISearchDocument doc)`